'
' Demonstrate the Proton24 DS1390 RTC library
'
    Device = 24HJ128GP502
    Declare Xtal = 79.23

    Declare Hserial_Baud = 115200           ' UART1 baud rate
    Declare Hrsout1_Pin = PORTB.3           ' Select which pin is to be used for TX with USART1
'
' Setup the pins used for the SPI interface to the DS1390
' These must be placed before the "DS1390.inc" file is included
'
    $define DS1390_CS PORTB.4               ' Connects to the DS1390 CS pin
    $define DS1390_SCLK PORTB.7             ' Connects to the DS1390 SCLK pin
    $define DS1390_DOUT PORTB.6             ' Connects to the DS1390 DOUT pin
    $define DS1390_DIN PORTB.5              ' Connects to the DS1390 DIN pin

    Include "DS1390.inc"                    ' Load the DS1390 RTCC procedures into the program
'
' Variables used for the demo
'
    Dim RTCC_Second As Byte                 ' Holds the seconds value
    Dim RTCC_Minute As Byte                 ' Holds the minutes value
    Dim RTCC_Hour As Byte                   ' Holds the hours value
    Dim RTCC_WeekDay As Byte                ' Holds the Day of the Week value
    Dim RTCC_Day As Byte                    ' Holds the day value
    Dim RTCC_Month As Byte                  ' Holds the month value
    Dim RTCC_Year As Byte                   ' Holds the year value

    Dim MyString As String * 20
'-----------------------------------------------------------------------
Main:
    PLL_Setup(43, 2, 2, $0300)              ' Configure the Oscillator to operate the device at 79.23MHz
    PPS_Output(cOut_Pin_RP3, cOut_Fn_U1TX)  ' Make Pin RB3 U1TX


    DS1390_SetTime(1, 2, 3)                 ' Set the time (Hours, Minutes, Seconds)
    DS1390_SetDate(19, 2, 14)               ' Set the date (Day, Month, Year)
    DS1390_SetWeekDay(2)                    ' Set the week day (1 to 7)

    While
        DS1390_GetTime(RTCC_Hour, RTCC_Minute, RTCC_Second) ' Get the time
        DS1390_GetDate(RTCC_Day, RTCC_Month, RTCC_Year)     ' Get the date
        RTCC_WeekDay = DS1390_GetWeekDay()                  ' Get the weekday

        HRSOut "Time = ", Dec RTCC_Hour,":", Dec RTCC_Minute, ":",Dec RTCC_Second, 13

        HRSOut "Date = ", DS1390_GetDayName(RTCC_WeekDay), " ",_
                          DS1390_GetDateName(RTCC_Day), " ",_
                          DS1390_GetMonthName(RTCC_Month),_
                          " 20", Dec2 RTCC_Year, 13
        DelayMS 1000
    Wend
'---------------------------------------------------------------------------------------
' Configure for internal 7.37MHz oscillator with PLL
' OSC pins are general purpose I/O
'
    Config FBS = BWRP_WRPROTECT_OFF
    Config FSS = SWRP_WRPROTECT_OFF
    Config FGS = GWRP_OFF
    Config FOSCSEL = FNOSC_FRCPLL, IESO_OFF
    Config FOSC = POSCMD_NONE, OSCIOFNC_ON, IOL1WAY_OFF, FCKSM_CSECME
    Config FWDT = WDTPOST_PS256, WINDIS_OFF, FWDTEN_OFF
    Config FPOR = FPWRT_PWR128, ALTI2C_OFF
    Config FICD = ICS_PGD1, JTAGEN_OFF
